---
search:
  tags:
    - Account
    - GET
seo:
  description: >-
    Identify the API key owner. Reference for the GET /whoami endpoint in the
    dartpilot Public API.
sidebar:
  label: Identify the API key owner
  badge: GET
title: Identify the API key owner
type: openapi-operation
---
`GET /whoami`

**Responses**

- `200` — The user or organization the key belongs to.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "keyType": "user",
  "id": "string",
  "email": "string",
  "name": "string",
  "displayName": "string"
}
```
